Topic: Uber Bundle - mdb.js

jczeledonp free asked 2 years ago


I'm trying to create custom skin for MDB-Admin-Dashboard-Templates-Pack_4.8.11 using MDB-Gulp-Pro_4.14.0 but there are versioning problems.

We're using the last UberBundle 4.14 but ALL mdb.js and mdb.min.js from MDB Pro, MDB Admin Dashboard and MDB Gulp Pro are different:

GULP

- mdb.js 994KB - mdb.min.js 431KB

MDB Pro

- mdb.js 1197KB - mdb.min.js 652KB

Admin Dashboard

- mdb.js 933KB - mdb.min.js 405KB

These files (also CSS) should be the same, so it can be used in any project no matter which skin/template we're using. For example, sideNav only works using JS files from Admin Dashboard. The others throw the "TypeError: $(...).sideNav is not a function" error message.

Please, explain this behavior to understand MDB better. Thanks


Mateusz Łubianka staff answered 2 years ago


Hi @jczeledonp,

The MDB-Admin-Dashboard-Templates-Pack (like all of the MDB templates) is on MDB 4.8.11 css and js. At the moment we don't have an info about update templates to latest MDB version.

Best,


jczeledonp free commented 2 years ago

Thanks for your answer but GULP and Pro are both 4.14 and their sources are different. Just trying to understand why you deliver different versions of same sources because we need to keep a consistency for further releases.


Mateusz Łubianka staff commented 2 years ago

I will create a task for our team to consider this, also about templates mdb version. Thank you for your opinion.

Best,



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB jQuery
  • MDB Version: 4.14.0
  • Device: Laptop
  • Browser: Chrome
  • OS: Windows 10
  • Provided sample code: No
  • Provided link: No